/* SCE CONFIDENTIAL
PLAYSTATION(R)3 Programmer Tool Runtime Library 084.006
* Copyright (C) 2004 Sony Computer Entertainment Inc. 
* All Rights Reserved.
*/
_FUNC_DEF(vec_float4, 
	  hypotf4,
	  (vec_float4 x, vec_float4 y))
{
  vec_float4 sum = vec_madd(x,x,(vec_float4)(0.0f));
  sum = vec_madd(y,y,sum);
  return sqrtf4(sum);
}
